using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace SendMarkerDemo
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            bool showForm = true;

            if (args.Length > 0)
            {
                if (args[0].ToLower() == "-addlabel")
                {
                    Impl.SendMarker(((args.Length > 1) && (args[1] != null)) ? args[1] : string.Empty);
                    showForm = false;
                }
            }

            if (showForm)
            {
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new MainForm());
            }
            else
            {
                Application.Exit();
            }
        }
    }
}