using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SendMarkerDemo
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }
                       
        private void sendMarkerWithTextButton_Click(object sender, EventArgs e)
        {
            Impl.SendMarker(markerTextBox.Text);
        }
                
        private void simulationTimer_Tick(object sender, EventArgs e)
        {
            Impl.SimulateReturnKey();
        }

        private void startSimulatingReturnKeyPressButton_Click(object sender, EventArgs e)
        {
            simulationTimer.Start();
        }

        private void stopSimulatingReturnKeyPressButton_Click(object sender, EventArgs e)
        {
            simulationTimer.Stop();
        }
    }
}